Hello community,

here is the log from the commit of package papi for openSUSE:Factory checked in 
at 2013-08-13 10:12:24
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/papi (Old)
 and      /work/SRC/openSUSE:Factory/.papi.new (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "papi"

Changes:
--------
--- /work/SRC/openSUSE:Factory/papi/papi.changes        2013-06-13 
17:29:37.000000000 +0200
+++ /work/SRC/openSUSE:Factory/.papi.new/papi.changes   2013-08-13 
10:12:25.000000000 +0200
@@ -1,0 +2,33 @@
+Thu Aug  8 17:30:25 CEST 2013 - p...@suse.de
+
+- Update to 5.2.0:
+
+  This release represents a major overhaul of several components.
+  Support for Intel Haswell and Power 8 has been added.  Processor
+  support code has been moved to the components directory.
+
+  New Platform:
+  -------------
+      * Intel Haswell (initial support)
+      * Power 8 (initial support)
+
+  New Components:
+  ---------------
+      * Host-side MIC power component
+
+    Enhancements:
+    ------------
+      * Component tests are now included with install-tests make
+        target.
+      * Components with external library dependencies load them at
+        runtime allowing better distribution (infiniband, cuda,
+        vmware, nvml and host-side micpower)
+      * Perf_events, perfctr[_ppc] and perfmon2[_ia64] have been
+        moved under the components directory
+      * (Intel) Uncore support has been split into its own component
+      * Lustre component better handles large numbers of filesystems
+
+- Remove papi-use_major_in_soname.patch as the problem has been
+  fixed upstream.
+
+-------------------------------------------------------------------

Old:
----
  papi-5.1.1.tar.gz
  papi-use_major_in_soname.patch

New:
----
  papi-5.2.0.tar.gz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ papi.spec ++++++
--- /var/tmp/diff_new_pack.Lq4EXc/_old  2013-08-13 10:12:26.000000000 +0200
+++ /var/tmp/diff_new_pack.Lq4EXc/_new  2013-08-13 10:12:26.000000000 +0200
@@ -39,7 +39,7 @@
 BuildRequires:  gcc-fortran-32bit
 BuildRequires:  glibc-devel-32bit
 %endif
-Version:        5.1.1
+Version:        5.2.0
 Release:        0
 Summary:        Performance Application Programming Interface
 License:        BSD-3-Clause
@@ -50,7 +50,6 @@
 #PAPI doesn't support the s390 architecture
 ExcludeArch:    s390, s390x
 Patch:          papi-codecleanup.patch
-Patch1:         papi-use_major_in_soname.patch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  autoconf >= 2.61
 BuildRequires:  automake
@@ -95,7 +94,6 @@
 %prep
 %setup -q
 %patch
-%patch1
 
 %build
 #export SUSE_ASNEEDED=0
@@ -110,7 +108,7 @@
 done
 export CFLAGS="%{optflags} -Wno-unused-parameter"
 
-%configure --with-components="lmsensors coretemp example net" \
+%configure --with-components="appio lmsensors coretemp example net" \
             --with-perf-events --with-shared-lib=yes --with-shlib 
--with-pthread-mutexes  \
            --with-pfm-incdir=%{_includedir} --with-pfm-libdir=%{_libdir}
 

++++++ papi-5.1.1.tar.gz -> papi-5.2.0.tar.gz ++++++
++++ 71857 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org

Reply via email to